Skill Categories API

The Skill Categories API is for administering Skill Category records in Skills Base which includes adding, retrieving, updating and deleting records.

Endpoint

/1.0/skillcategories

Objects used by this API

Name

Data type

Read only

Description

id

integer

Yes

The unique identifier for the record, used to reference the record in other API interactions.

parent_id

integer

No

Parent Skill Category id

name

string

No

Skill Category name

Methods

GET /skillcategories

Returns all Skill Categories in the instance.

GET /skillcategories/:id

Returns a Skill Category matching the given id

POST /skillcategories/search

Searches Skill Category records. See Search APIs for a description of search functionality.

The available search parameters are:

Name

Arrays

Wildcards

id

Yes

No

parent_id

Yes

No

name

No

Yes

POST /skillcategories

Creates a new Skill Category record.

The following parameters can be POSTed

Name

Required

name

Yes

parent_id

No

PUT /skillcategories/:id

Updates an existing Skill Category record.

The following fields can be updated:

Name

parent_id

name

DELETE /skillcategories/:id

Deletes a Skill Category. Note that only empty Skill Categories can be deleted. That is, you cannot delete a Skill Category via this API if it contains other Skill Categories or Skills. You must remove each item before invoking this method, or alternatively delete the Skill Category via the Skills Base web application.